﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using GalaSoft.MvvmLight;

namespace GroupingOnDemand
{
    public class MainViewModel : ObservableObject
    {
        private List<PersonViewModel> _persons;
        public List<PersonViewModel> Persons
        {
            get { return _persons; }
            set { Set(ref _persons, value); }
        }

        public void LoadPersons(bool maleOnly = false)
        {
            var list = new List<PersonViewModel>();
            for (int i = 0; i < Make.Int(100, 500); i++)
            {
                if (!maleOnly && i % 5 == 0)
                    list.Add(new PersonViewModel { FirstName = Make.String(), LastName = Make.String(), Gender = "Male" });
                else
                    list.Add(new PersonViewModel { FirstName = Make.String(), LastName = Make.String(), Gender = "Female" });
            }
            Persons = new List<PersonViewModel>(list);
        }
    }
}