﻿using System;
using System.Text;

namespace GroupingOnDemand
{
    public static class Make
    {
        private static Random _random = new Random();

        #region String
        public static string String()
        {
            return String(5);
        }

        public static string String(int length)
        {
            return String(length, false);
        }

        public static string String(int length, bool lowerCase)
        {
            var builder = new StringBuilder();
            for (int i = 0; i < length; i++)
                builder.Append(Convert.ToChar(Convert.ToInt32(Math.Floor(26 * _random.NextDouble() + 65))));

            return lowerCase ? builder.ToString().ToLower() : builder.ToString();
        }
        #endregion String

        #region Int
        public static int Int()
        {
            return _random.Next();
        }

        public static int Int(int min, int max)
        {
            return _random.Next(min, max);
        }
        #endregion Int

        #region Double
        public static double Double()
        {
            return _random.NextDouble();
        }
        #endregion Double

        #region Date
        public static DateTime DateTime()
        {
            return new DateTime();
        }
        #endregion Date

        #region Identifier
        public static string Identifier()
        {
            return Guid.NewGuid().GetHashCode().ToString("x08");
        }
        #endregion Identifier
    }
}